org.apache.hadoop.mapreduce.jobhistory

## Class JhCounters.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<JhCounters>
    - - org.apache.hadoop.mapreduce.jobhistory.JhCounters.Builder

- All Implemented Interfaces:
    org.apache.avro.data.RecordBuilder<JhCounters>
  Enclosing class:
    JhCounters

      public static class JhCounters.Builder
      extends org.apache.avro.specific.SpecificRecordBuilderBase<JhCounters>
      implements org.apache.avro.data.RecordBuilder<JhCounters>

  RecordBuilder for JhCounters instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JhCounters` | `build()`
    `JhCounters.Builder` | `clearGroups()` Clears the value of the 'groups' field
    `JhCounters.Builder` | `clearName()` Clears the value of the 'name' field
    `List<JhCounterGroup>` | `getGroups()` Gets the value of the 'groups' field
    `CharSequence` | `getName()` Gets the value of the 'name' field
    `boolean` | `hasGroups()` Checks whether the 'groups' field has been set
    `boolean` | `hasName()` Checks whether the 'name' field has been set
    `JhCounters.Builder` | `setGroups(List<JhCounterGroup> value)` Sets the value of the 'groups' field
    `JhCounters.Builder` | `setName(CharSequence value)` Sets the value of the 'name' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public CharSequence getName()

      Gets the value of the 'name' field

    - #### setName

          public JhCounters.Builder setName(CharSequence value)

      Sets the value of the 'name' field

    - #### hasName

          public boolean hasName()

      Checks whether the 'name' field has been set

    - #### clearName

          public JhCounters.Builder clearName()

      Clears the value of the 'name' field

    - #### getGroups

          public List<JhCounterGroup> getGroups()

      Gets the value of the 'groups' field

    - #### setGroups

          public JhCounters.Builder setGroups(List<JhCounterGroup> value)

      Sets the value of the 'groups' field

    - #### hasGroups

          public boolean hasGroups()

      Checks whether the 'groups' field has been set

    - #### clearGroups

          public JhCounters.Builder clearGroups()

      Clears the value of the 'groups' field

    - #### build

          public JhCounters build()

      Specified by:
        `build` in interface `org.apache.avro.data.RecordBuilder<JhCounters>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.